Bug 151319 - System with Abit VA6 MB Hangs During Boot when USB support is turned on in the BIOS (Initializing hardware -> audio)
System with Abit VA6 MB Hangs During Boot when USB support is turned on in th...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 16:39 EST by Mark Farnell
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Farnell 2005-03-16 16:39:16 EST
I am using a desktop PC with Abit VA6 motherboard, PIII 667MHz processor
My on-board sound card as found on autoprobe is 
VIA technologies | VT82C686 [Apollo Super AC97/Audio]

My computer worked perfectly on FC2, but after the installation of FC3 (which
was uneventful before the reboot), my computer hangs during the first reboot as
described in the quoted mail.

My computer also hangs after

"Welcome to Fedora Core
Press 'I' to enter interactive startup.

Starting udev: [OK]
Initializing hardware...  storage network audio"

I have already DESELECTED rhgb during installation and therefore this would
eliminate RHGB as the cause of the hang.

I have turned off the on-board audio through the BIOS.  I have also added
parameters such as acpi=off, apm=off but the szstem still hung in the same way.

Version-Release number of selected component (if applicable):
2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. It happened the first time I booted after install and has happened
everytime since.
2.
3.


+++ This bug was initially created as a clone of Bug #141797 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The computer (Toshiba Satellite (2800 [PS280C-00006]) completely
freezes during boot.

It gets to...

"Welcome to Fedora Core
Press 'I' to enter interactive startup.

Starting udev: [OK]
Initializing hardware...  storage network audio"

...and that's where it hangs.

Version-Release number of selected component (if applicable):
2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. It happened the first time I booted after install and has happened
everytime since.
2.
3.
    

Additional info:
Comment 1 Sitsofe Wheeler 2005-03-16 17:17:20 EST
You need to upgrade your kernel to the latest one (kernel-2.6.10-1.770_FC3) at
the time of writing because the issue may have already been fixed...
Comment 2 Sitsofe Wheeler 2005-03-16 17:18:03 EST
The foolishness of the above comment has just struck me.

Does booting with nousb get you any further?
Comment 3 Mark Farnell 2005-03-17 05:52:54 EST
(In reply to comment #2)
> The foolishness of the above comment has just struck me.
> 
> Does booting with nousb get you any further?

Spot-on!  The system passes this point and does not give trouble again for the
rest of the setup.  Then I remove the kernel commands acpi=off, apm=off and turn
the on-board sound back on thourgh the BIOS and the problem does not come back.
 Actually, turning off USB support by itself also solve the problem without
passing the nousb.

After the setup, the system runs perfectly although WITHOUT USB support. 
However when I tried to turn the USB support back on through the BIOS WITHOUT
adding the nousb kernel command, the system hangs again during boot after 

"Welcome to Fedora Core
Press 'I' to enter interactive startup.

Starting udev: [OK]
Initializing hardware...  storage network audio"

My computer runs on the Abit VA6 motherboard and the onboard USB is 
VIA Technologies, Inc. VT82XXXXX UHCI USB1.1 Controller

Also, turning the SELinux from "enforcing" to "permissive" does NOT rectify the
problem.

What can I do to allow USB support on my computer WITHOUT hanging during the boot?
Comment 4 Sitsofe Wheeler 2005-03-18 15:15:46 EST
Assuming that you have some way of controlling your machine, updating all the
packages on your system is a good start. No guarantees but it's worth checking.
Comment 5 Mark Farnell 2005-03-20 04:04:03 EST
(In reply to comment #4)
> Assuming that you have some way of controlling your machine, updating all the
> packages on your system is a good start. No guarantees but it's worth checking.\

I have updated ALL of the packages, but unfortunately the system still fails
when usb is not disabled through the BIOS
Comment 6 Sitsofe Wheeler 2005-03-20 04:39:14 EST
I'm afraid I have no easy answers. Your problem sounds not disimilar to mine
over in bug #149171 . Unfortunately the machine that shows the problem is a
server thus I am unlikely to be able to debug the issue further than I have
already. The problem also seems to go away if I disable USB2 (and leave 1.1 on)
in the BIOS. I suspect your machine only has USB 1.1 which would suggest your
problem is a different issue.

If you have the time and drive, see if the steps given in bug #149171 reproduce
the problem for you. Then check whether whether booting with any of the listed
options (other than nousb) causes the problem to go away.
Comment 7 Dave Jones 2005-07-15 13:52:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Dave Jones 2005-10-02 20:22:12 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.